Debian Bug report logs - #68843
xterm: -T and -t options do not behave identically [UPSTREAM] [FIXED in 4.1.0]

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: "H. Nanosecond" <aldomel@ix.netcom.com>

Date: Wed, 9 Aug 2000 23:20:59 UTC

Severity: wishlist

Found in version 3.3.1

Fixed in version xfree86/4.1.0-1

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Branden Robinson <branden@debian.org>:
Bug#68843; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "H. Nanosecond" <aldomel@ix.netcom.com>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: "H. Nanosecond" <aldomel@ix.netcom.com>
To: maintonly@bugs.debian.org
Subject: xterm -T -title
Date: Wed, 9 Aug 2000 19:18:27 -0400 (EDT)
Package: xterm
Version: 3.3.1
Severity: wishlist

Hello,

-title and -T are not equivalent:
xterm -T aaa -T bbb guves a title of bbb
xterm -title aaa -T bbb gives title of aaa

from man xterm:
       -T string
               This  option  specifies the title for xterm's win-
               dows.  It is equivalent to -title.

xterm -help also describes them differently:
    -title string                title string
    -T string                    title name for window

This occured when I made some shell scripts for xterm that had
a default title and tried to override it with an extra -title argument.

Thanks.




Changed Bug title. Request was from branden@deadbeast.net (Branden Robinson) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "H. Nanosecond" <aldomel@ix.netcom.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 68843-close@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 68843-close@bugs.debian.org
Subject: Bug#68843: fixed in xfree86 4.1.0-1
Date: Mon, 30 Jul 2001 15:07:02 -0400
We believe that the bug you reported is fixed in the latest version of
xfree86, which has been installed in the Debian FTP archive:

xserver-xfree86_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.1.0-1_i386.deb
xlib6g-dev_4.1.0-1_all.deb
  to pool/main/x/xfree86/xlib6g-dev_4.1.0-1_all.deb
xfonts-scalable_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.1.0-1_all.deb
twm_4.1.0-1_i386.deb
  to pool/main/x/xfree86/twm_4.1.0-1_i386.deb
xlibosmesa3-dbg_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibosmesa3-dbg_4.1.0-1_i386.deb
xlibs-dbg_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibs-dbg_4.1.0-1_i386.deb
xdm_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xdm_4.1.0-1_i386.deb
xbase-clients_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.1.0-1_i386.deb
xlibmesa3_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.1.0-1_i386.deb
xvfb_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xvfb_4.1.0-1_i386.deb
libdps1_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libdps1_4.1.0-1_i386.deb
xfonts-cyrillic_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.1.0-1_all.deb
xfree86_4.1.0.orig.tar.gz
  to pool/main/x/xfree86/xfree86_4.1.0.orig.tar.gz
xfonts-75dpi_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.1.0-1_all.deb
xlibs-dev_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibs-dev_4.1.0-1_i386.deb
xlibs_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibs_4.1.0-1_i386.deb
xmh_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xmh_4.1.0-1_i386.deb
xserver-common_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xserver-common_4.1.0-1_i386.deb
xfonts-base_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-base_4.1.0-1_all.deb
xspecs_4.1.0-1_all.deb
  to pool/main/x/xfree86/xspecs_4.1.0-1_all.deb
libxaw6-dbg_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.1.0-1_i386.deb
xfonts-pex_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-pex_4.1.0-1_all.deb
xlibosmesa-dev_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.1.0-1_i386.deb
xfree86-common_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfree86-common_4.1.0-1_all.deb
libxaw7-dev_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.1.0-1_i386.deb
xfonts-100dpi_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.1.0-1_all.deb
xfonts-100dpi-transcoded_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.1.0-1_all.deb
libdps-dev_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.1.0-1_i386.deb
xfwp_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xfwp_4.1.0-1_i386.deb
xfonts-75dpi-transcoded_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.1.0-1_all.deb
libxaw6_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libxaw6_4.1.0-1_i386.deb
xutils_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xutils_4.1.0-1_i386.deb
libdps1-dbg_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.1.0-1_i386.deb
xfs_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xfs_4.1.0-1_i386.deb
xfree86_4.1.0-1.dsc
  to pool/main/x/xfree86/xfree86_4.1.0-1.dsc
libxaw7-dbg_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.1.0-1_i386.deb
proxymngr_4.1.0-1_i386.deb
  to pool/main/x/xfree86/proxymngr_4.1.0-1_i386.deb
xlib6g_4.1.0-1_all.deb
  to pool/main/x/xfree86/xlib6g_4.1.0-1_all.deb
xlibosmesa3_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibosmesa3_4.1.0-1_i386.deb
xprt_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xprt_4.1.0-1_i386.deb
libxaw7_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libxaw7_4.1.0-1_i386.deb
xnest_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xnest_4.1.0-1_i386.deb
lbxproxy_4.1.0-1_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.1.0-1_i386.deb
libxaw6-dev_4.1.0-1_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.1.0-1_i386.deb
xlibmesa-dev_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.1.0-1_i386.deb
xfree86_4.1.0-1.diff.gz
  to pool/main/x/xfree86/xfree86_4.1.0-1.diff.gz
xterm_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xterm_4.1.0-1_i386.deb
xfonts-base-transcoded_4.1.0-1_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.1.0-1_all.deb
xlibmesa3-dbg_4.1.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.1.0-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 68843@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Branden Robinson <branden@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 28 Jul 2001 00:37:19 -0500
Source: xfree86
Binary: xserver-common xlibs-dev xfs xfree86-common xfonts-pex xlibmesa-dev xspecs xlibmesa3 xfonts-cyrillic xlibmesa3-dbg xserver-xfree86 xlibs-dbg libxaw6 libxaw7 xterm xvfb xfonts-scalable xfonts-75dpi xlib6g proxymngr libxaw6-dev libdps1-dbg xlib6g-dev xfonts-base xutils libxaw7-dev xnest xlibs libxaw6-dbg xmh lbxproxy libxaw7-dbg xfonts-base-transcoded xbase-clients xprt xlibosmesa3 xlibosmesa-dev twm xfwp xfonts-100dpi-transcoded xlibosmesa3-dbg xfonts-100dpi xdm libdps-dev xfonts-75dpi-transcoded libdps1
Architecture: source all i386
Version: 4.1.0-1
Distribution: unstable
Urgency: medium
Maintainer: Branden Robinson <branden@debian.org>
Changed-By: Branden Robinson <branden@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6) (unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-pex - fonts for minimal PEX support in X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlib6g     - pseudopackage providing X libraries
 xlib6g-dev - pseudopackage providing X library development files
 xlibmesa-dev - XFree86 version of Mesa 3D graphics library development files
 xlibmesa3  - XFree86 version of Mesa 3D graphics library
 xlibmesa3-dbg - XFree86 version of Mesa 3D graphics library (unstripped)
 xlibosmesa-dev - Mesa/XFree86 offscreen rendering library development files
 xlibosmesa3 - Mesa/XFree86 offscreen rendering library
 xlibosmesa3-dbg - Mesa/XFree86 offscreen rendering library (unstripped)
 xlibs      - X Window System client libraries
 xlibs-dbg  - X Window System client libraries (unstripped)
 xlibs-dev  - X Window System client library development files
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 28408 65115 68843 79939 85954 96496 97765 98423 98609 99406 99481 99598 99599 99737 100569 100610 100613 101054 102994 103885 104033 104535 105624
Changes: 
 xfree86 (4.1.0-1) unstable; urgency=medium
 .
   * new upstream version (Closes: #68843,#79939,#85954,#97765,#99406)
   * Thanks to those who have been patient while I prepared these packages, and
     those who have already tested them.
 .
   * patch #000_post-410: some fixes from xf-4_1-branch:
     + Add two missing symbols to loader reference for the glint driver
       (#4740, Mike Harris).
     + Fix glide driver that causes -configure to fail for all drivers
       (Alan Hourihane).
     + Fix broken TGA driver (Alan Hourihane).
     + Fix FIFO reset trouble in tdfx driver by lowering the FIFO size due to
       suspect code in Glide3. (Alan Hourihane).
     + Fix Xvideo in tdfx driver when using YUY2 or UYVY data (Alan Hourihane).
     + Fix problem in Ib/Xaw/AsciiSrc.c:nitStringOrFile() when descriptor 0
       is closed, as a zero return value from open(2) is taken as an error
       (splite at purdue.edu).
     + Add missing vbeFree symbol to mga driver (Alan Hourihane).
     + Fix fatal bug in XAA's N-to-N CopyPlane acceleration (#4782, Elliot
       Lee).
     + Fix 3Dfx Voodoo Banshee timing problem (Alan Hourihane).
     + Fix Radeon VE support (Alan Hourihane).
     + Fix int10 build for GCC 3.0 (Marc La France).
     + An attempt at fixing the i740 driver to not reference options
       before they are collected (Marc La France).
 .
   * patch #000_stolen_from_HEAD: some fixes from the main CVS trunk
     + Alan Hourihane: fix typo in Bitmap.h (#4757)
     + Mark Vojkovich: The tdfx driver wasn't setting pScrn->fbOffset.  This
       seems to have been preventing the V4L module from working properly.
     + Marc Aurele La France: Fix bogus handling of BUS_CNTL Mach64 register
     + Mark Vojkovich: Have fb observe the pGC->fExpose flag.
     + Paulo Cesar Pereira de Andrade: The fbdev driver uses the same DGA
       initialization code as the vesa driver, this fix the bug the same way
       done in the vesa driver.
     + Matthieu Herrb: shared libXft minor revision number increment
     + Mark Vojkovich: Fix bug in ProcDbeGetVisualInfo reported by HP.
 .
   * patch #000_xfs_SECURITY_DoS_fix: Paulo César Pereira de Andrade's fix for
     denial-of-service vulnerabilities in xfs; in Debian, this vulnerability
     was a local DoS only, because in our default configuration, xfs does not
     listen on a TCP port
 .
   * patch #004: do not use the xserverrc if a display argument is given
     (really Closes: #99481)
   * patch #016:
     - update several InstallManPageAliases rules to install actual versions of
       manpages that are mentioned (Closes: #99598)
     - update mkfontdir manpage to not mention fonts.dir, fonts.scale,
       fonts.alias, and encodings.dir in the NAME section because
       InstallManPageAliases cannot install aliases from one manual section to
       another (Closes: #99599)
   * patch #017: small patch to not have server abort message mention server
     logfile if the logfile was never opened
   * patch #019: fix broken Imakefile for VBE server module that treated it
     like a library
   * patch #100: David S. Miller's PCI domain patch for SPARC (Closes: #99737)
   * patch #150: Michel Dänzer's Rage128 video endianness fix
   * patch #151: Michel Dänzer's Rage128 accelerated dashed bresenham
     endianness fix
   * patch #152: David Gibson's Rage128 fix for video mode saving and restoring
     when there is no video BIOS (such as on a PowerPC...)
   * patch #200: Brian Paul's GLX memory alignment fix for Alpha
   * patch #303: updates to arm, hppa, and s390 PCI support
   * patch #350,351: mips and mipsel support fixes from Guido Guenther
   * patch #907: use colors from rgb.txt instead of the rgbi colorspace in an
     effort to fix things for people who use absurdly shallow color depths.  If
     this doesn't work, edit the app-defaults conffile like a Real Man.
     (Closes: #96496,#105624)
 .
   * updated MANIFEST.{i386,ia64,m68k,powerpc,sparc}
   * debian/*.{pre,post}{inst,rm}.in:
     - found and cleaned up some stylistic cruft from the massive maintainer
       script overhaul
     - use message_nonl() instead of echo -n
     - consolidate message() + errormsg() into plain errormsg()
   * debian/*.suid: removed due to deprecation of dh_suidregister
   * debian/*.templates.{pt_BR,ja}: added trailing spaces after the colons for
     blank fields; for some reason debconf freaks if there is no trailing space
   * debian/{*.shlibs,shlibs.local}: bumped versioning to >> 4.1.0, and added
     libXmuu to xlibs.shlibs
   * debian/README: added warning not to build official architecture: all
     packages on alpha or ia64 (xfonts-pex can't be built on those arches, so a
     package would be missing)
   * debian/control:
     - upstream has dug xmh out of grave; restored to hideous unlife
     - added ia64 to architecture list for libosmesa{3,-dbg,-dev}
     - add references to dpsexec, dpsinfo, glxgears, texteroids, and xftcache
       utilities in xbase-clients's description
     - remove reference to SuperProbe in xutils's description
     - add references to bdftruncate.pl, ccmakedep, cleanlinks, and ucs2any.pl
       in xutils's description
     - fsinfo renamed to xfsinfo, xutils's description updated accordingly
     - xlibosmesa{3,3-dbg,-dev}: now available for powerpc architecture
     - xfonts-base Conflicts/Replaces/Provides xfonts-cjk
     - added versioning to Build-Depends on libglide-{2,3}-dev, since the
       compile will error out if the version of glide is too old
     - added xfonts-{100dpi,75dpi,base}-transcoded: Because XFree86 4.1.0 ships
       many fonts encoded in ISO 10646-1, these packages contain various ISO
       8859 (other than Latin-1) -encoded versions of the fonts in
       xfonts-{100dpi,75dpi,base}, which contain ISO 10646-1 and ISO 8859-1
       versions.  Additionally, xfonts-base-transcoded contains several KOI8-R
       versions of some of the fonts in xfonts-base.  Fonts in other encodings
       without an ISO 10646-encoded version remain in the non-"-transcoded"
       version of the package.  In sum, no fonts have been removed from the
       existing xfonts-{100dpi,75dpi,base} packages; ISO 10646 versions have
       been added to them; and people seeking other encodings are encouraged to
       install the xfonts-{100dpi,75dpi,base}-transcoded packages.
     - added "libxaw6-dev |" before xlib6g-dev's dependency on libxaw-dev
       (Closes: #103885)
     - xserver-common and xterm now Conflict: suidmanager (<< 0.50) per the
       dh_suidregister manpage
   * debian/copyright: updated
   * debian/local/FAQ:
     - added questions:
       + What are app-defaults?
       + What is the difference between "bits-per-pixel" and "color depth"?
       + Why does the "single-quote" (') symbol in the fonts not look the way
         it used to?
       + How do I use Xnest, the nested X server?
     - updated questions:
       + What is the X Window System?
       + How do I change the color depth of my X server?
       + Why doesn't my backspace, delete, or some other key work?
       + How do I change xterm's default terminal type or key bindings?
   * debian/local/Xsession.d/40xfree86-common_xmodmap: removed (Closes: #28408)
   * debian/local/dexconf:
     - a couple of cosmetic and stylistic changes
     - write out UseFBDev option as determined by debconf template
     - write out XkbRules and XkbModel as determined by debconf template
       (thanks to Peter Haworth for coming up with the winning combination for
       Sun keyboards)
     - fix thinko in error message construction when desired debconf variable
       not found (thanks, Eric Gillespie, Jr.)
   * debian/local/startx{,.1x}: deleted; go back to patching upstream versions
   * debian/local/xdm/Xsetup:
     - fix typo (thanks, Sebastian Klamar) (Closes: #98423)
     - do not run xmodmap anymore (Closes: #65115)
   * debian/local/xserver-wrapper.c: allow unprivileged execution of X server
     with "-version" argument
   * debian/patches/*: almost completely overhauled.  Many of our changes are
     now upstream.  Things to note:
     + Numbering scheme has changed.  See debian/README.
     + Some architecture-specific patches had to be moved to held-patches
       because of large changes upstream.
   * debian/rules: stop shipping separate startx and manpage
   * debian/shell-lib.sh:
     - new function, message_nonl() which is the moral equivalent of "echo -n"
     - errormsg() now accepts an error message as an argument
     - ensure there are semicolons at the end of all shell functions
     - use fold instead of fmt
   * debian/xbase-clients.files:
     - add dpsexec, dpsinfo, glxgears, texteroids, xftcache, and their manpages
     - ship Options file for xf86cfg
   * debian/xbase-clients.templates.es: add Spanish translation (thanks, David
     Martinez) (Closes: #104535)
   * debian/{xdm,xfs}.init: If we upgraded the daemon, we can't use the
     --exec argument to start-stop-daemon since the inode will have changed.
     The risk here is that in a situation where the daemon died, its pidfile
     was not cleaned up, and some other process is now running under that pid,
     start-stop-daemon will send signals to an innocent process.  However, this
     seems like a corner case.  C'est la vie!
   * debian/xdm.pre{inst,rm}.in: when getting rid of obsolete old greeter
     library alternative, also remove broken .so -> .so.1 symlink that ldconfig
     leaves around
   * debian/xfonts-{100dpi,75dpi,base}.files: these packages now contain only
     ISO 10646-1-encoded fonts, ISO 8859-1 versions generated from them, and
     fonts that do not yet exist in an ISO 10646-1-encoded version.  Many
     bitmapped versions of the non-DFSG-free Adbobe Utopia Type1 font are now
     present in 100dpi and 75dpi versions, at several sizes.  (Bitmapped fonts
     are not subject to copyright as hinted fonts such as Type1 or TrueType
     are.)
   * debian/xfonts-{100dpi,75dpi,base}-transcoded.{files,post{inst,rm}.in}: new
     packages; see above
   * debian/xfonts-scalable.post{inst,rm}.in: add "xftcache" to list of
     commands to be run when updating font directory
   * debian/xfree86-common.{conffiles,files}: no longer shipping
     40xfree86-common_xmodmap
   * debian/xfree86-common.docs:
     - add README.dps document
     - add X.Org manpage
   * debian/xfs.templates.de: add German translation (thanks, Sebastian Feltel)
     (Closes: #100569)
   * debian/xlibs.{conffiles,files}:
     - modified for added and removed XKB data files:
       + cs, cs_qwerty, and czsk (Czechoslovakian) symbol files removed
       + cz, cz_qwerty, sk, and sk_qwerty (Czech Republic, Slovakia) symbol
         files added
       + by (Belarus) symbol file added
       + gr (Greek) symbol file renamed to el
       + hr (Bosnia-Herzegovina) symbol file added
       + lv (Latvia) symbol file added
       + "extra" types file added
     - ship two new bitmaps, black6 and box6
     - th_TH and zh_* localization files reorganized and renamed a little
       (see /usr/X11R6/lib/X11/locale for details)
     - libXft's minor version number has incremented
     - new library; libXmuu, a minimal X utility library that depends only on
       libc (shared version)
   * debian/xlibs.files.{alpha,ia64}: these architectures don't mess with PEX
   * debian/xlibs.links: update soname symlinks to reflect libXft's new
     minor version
   * debian/xlibs-dbg.debugfiles.{alpha,ia64}: these architectures don't mess
     with PEX
   * debian/xlibs-dbg.links: supply soname symlinks for libXft and libXrender
     (Closes: #101054)
   * debian/xlibs-dev.files:
     - ship headers for XvMC extension (experimental work-in-progess)
     - ship new file version.def
     - new library; libXmuu, a minimal X utility library that depends only on
       libc (static version)
     - new manpages:
       + XF86VidModeValidateModeLine.3x
       + XeviQueryExtension.3x
       + XtIsSessionShell.3x
       + XtVaGetSubvalues.3x
       + XtVaSetSubvalues.3x
   * debian/xlibs-dev.files.{alpha,ia64}: these architectures don't mess with
     PEX
   * debian/xlibmesa{3,-dev}.{files*,links}:
     - upstream puts the GL and GLU libraries in /usr/X11R6/lib and my patch to
       fix it doesn't work anymore; work around the problem with symlinks from
       /usr/lib/libGL* and /usr/include/GL into /usr/X11R6/lib and
       /usr/X11R6/include
     - Since the presence of DRI modules is highly architecture-specific, I
       moved xlibmesa3.files to xlibmesa3.files.i386, and made xlibmesa3.files
       the plain-jane no-DRI version which is appropriate for a majority of the
       architectures.
   * debian/xlibmesa3.{config,templates}: added question warning about skew
     between Mesa/XFree86's version of DRI, and the kernel's
   * debian/xlibmesa3.templates.es: added Spanish translation (thanks, David
     Martinez) (Closes: #104033)
   * debian/xlibmesa3.templates.fr: added French translation (thanks, Jérôme
     Schell)
   * debian/xlibmesa3.files.i386: add radeon DRI module
   * debian/xlibmesa3.files.powerpc: add DRI modules for gamma, mga, r128, and
     radeon
   * debian/xmh.{conffiles,files,menu}: xmh lives again...
   * debian/xserver-common.templates.fr: updated French translation (thanks,
     Jérôme Schell)
   * debian/xterm.templates.es: Spanish translation update (thanks, Carlos
     Valdivia Yagüe) (Closes: #102994)
   * debian/xutils.files*:
     - remove SuperProbe and its manpage
     - add ccmakedep and cleanlinks
     - renamed fsinfo to xfsinfo
   * debian/xutils.undocumented:
     - no manpages for ccmakedep and cleanlinks, sorry
   * debian/xserver-{common,xfree86}.templates.ja: added Japanese translations
     (thanks, ISHIKAWA Mutsumi, Kenshi Muto, NAKANO Takeo, and Debian JP
     Documentation team) (Closes: #100610,#100613)
   * debian/xserver-xfree86.config:
     - more paranoid checks for bad output from discover
     - if the vga driver is selected, set default mode list to only
       640x480, and set default depth to 4 (only affects these questions if
       they are not seen)
     - use "fold" instead of "fmt"
     - add driver list for ia64, mips, and mipsel architectures
     - issue non-fatal error message if architecture is unknown
     - add vmware to i386 driver list
     - add imstt, savage, and tdfx to m68k/powerpc driver list
     - add ati to sparc driver list
     - add /dev/sunmouse to non-devfs mouse port listing; use BusMouse protocol
       if it is selected
     - ask question about keyboard model
   * debian/xserver-xfree86.template:
     - new question: use FBDev; only asked if /proc/fb exists
     - new question: keyboard model; this is merely the tiniest of beginnings
       to real XKB configuration, but it should be enough to get some people
       over the hump
   * debian/xserver-xfree86.docs.*:
     - add README.rapidaccess document
   * debian/xserver-xfree86.files.*:
     - add 2 new encoding conversion modules: libBIG5HKSCS.a and libGBK.a
     - add vmware driver and its manpage to i386 and ia64 packages
     - add imstt, tdfx, libdri, and libdrm modules (and manpages) to powerpc
       package
   * debian/xserver-xfree86.templates.gl: cleaned up some between-template
     whitespace that an old version of debconf shouldn't have cared about, but
     did
   * debian/xspecs.docs:
     - the documents have reverted to their upstream names since upstream
       rejected my patch to rename them
     - a few more docs build now, so ship them:
       + analysis.ps
       + dbe.ps
       + dbelib.ps
       + secint.ps
       + security.ps
       + sync.ps
       + synclib.ps
   * debian/xterm.README.Debian: stop talking about xterm's X resources file,
     since it no longer exists (Closes: #98609)
Files: 
 af294d20df34eaf489eb8b6f4aa47436 1457 x11 optional xfree86_4.1.0-1.dsc
 ea7a32e6a81a850e9f19428f3104c300 54433247 x11 optional xfree86_4.1.0.orig.tar.gz
 fdb76908d40a663f617f5dcdc2926b80 908255 x11 optional xfree86_4.1.0-1.diff.gz
 0a11c138d64a080da4437b8ebc31614c 106664 x11 optional lbxproxy_4.1.0-1_i386.deb
 2a578ad8fd9834fe4f29279c5426ab9c 143582 libs optional libdps1_4.1.0-1_i386.deb
 443fa52de1269a16ab02186b08492dda 385170 devel extra libdps1-dbg_4.1.0-1_i386.deb
 6231b5cf4b0082cce796dc2734388e46 204392 devel optional libdps-dev_4.1.0-1_i386.deb
 0834ff583eac01f6b4c3b0135c9d2b77 140828 libs optional libxaw6_4.1.0-1_i386.deb
 cc08e2897e17ffdeb5ce6291e42d8f26 309190 devel extra libxaw6-dbg_4.1.0-1_i386.deb
 d21ed193409d20b0ce77fe4f844aee32 266348 devel optional libxaw6-dev_4.1.0-1_i386.deb
 f6bdba3f78fcc48c2328a5b06c7c1def 187682 libs optional libxaw7_4.1.0-1_i386.deb
 9631c59f56227220a130350e92b4d87a 409054 devel extra libxaw7-dbg_4.1.0-1_i386.deb
 9e291a0db9061fcd01e2291fdf69ae92 266228 devel optional libxaw7-dev_4.1.0-1_i386.deb
 5efb794df984b6883ac6a01320b51282 49974 x11 optional proxymngr_4.1.0-1_i386.deb
 dcc9466aea82f80e332b81334f96681c 125868 x11 optional twm_4.1.0-1_i386.deb
 32842960ee4e0234bfa7a4aebfff978a 1438044 x11 optional xbase-clients_4.1.0-1_i386.deb
 1742d4ceae8e8ac8964a169a14d2f1aa 137810 x11 optional xdm_4.1.0-1_i386.deb
 dde0854ccfd1f0a939395939bcfe0921 253746 x11 optional xfs_4.1.0-1_i386.deb
 99df340f5532e7ef1cc857e107e3723f 55636 x11 optional xfwp_4.1.0-1_i386.deb
 fccf4afbcb40a3c9dd373c69a99733cb 3454290 libs optional xlibmesa3_4.1.0-1_i386.deb
 43cbfd4e163f019260d9fec66a5935b4 35248 devel extra xlibmesa3-dbg_4.1.0-1_i386.deb
 45ace733f6389c2b43274e29153c0e45 527452 devel optional xlibmesa-dev_4.1.0-1_i386.deb
 e8eb9a8fc0feb839975f24a7cd58e058 440790 libs optional xlibosmesa3_4.1.0-1_i386.deb
 ee95e3ca46cd15dbb01a9649e65ea1ef 943328 devel extra xlibosmesa3-dbg_4.1.0-1_i386.deb
 365f7bad2105aff7bc31e7d398df0c4a 497154 devel optional xlibosmesa-dev_4.1.0-1_i386.deb
 daad2c37d9d587dd5f690b280e636526 1193676 libs optional xlibs_4.1.0-1_i386.deb
 3a8f04361601bbfb17413e9a8a3c9705 2509156 devel extra xlibs-dbg_4.1.0-1_i386.deb
 307410e89bfec610a52a9abbd3c4503e 2888032 devel optional xlibs-dev_4.1.0-1_i386.deb
 69a21f48ed1d9989f5b1bda9c007a0b0 99142 mail extra xmh_4.1.0-1_i386.deb
 013e71a7d0f2a447a8ffc6f1cd6922a0 1368136 x11 optional xnest_4.1.0-1_i386.deb
 2eab4dfc3bae9a1cd3ac9f507a3ac315 1097638 x11 optional xprt_4.1.0-1_i386.deb
 139db29f0fc63d1989ce88f229e6ef0b 180354 x11 optional xserver-common_4.1.0-1_i386.deb
 9d1922dd68edda4bc7d8946e51900269 4232120 x11 optional xserver-xfree86_4.1.0-1_i386.deb
 1881e60ed1ea2beb4cb90960c7611c94 422254 x11 optional xterm_4.1.0-1_i386.deb
 97e352f359c37174a76ce72f095ecfa2 378840 x11 optional xutils_4.1.0-1_i386.deb
 fab88ef522beb407af04856ca58c0e98 1468650 x11 optional xvfb_4.1.0-1_i386.deb
 4ae1e9d9fa70c9109ce62acbe599f937 4226100 x11 optional xfonts-100dpi_4.1.0-1_all.deb
 713e1a861bf2c4b17bedbc710488ad8f 8012188 x11 optional xfonts-100dpi-transcoded_4.1.0-1_all.deb
 360f8f44c57c2d49e9509d6a2427105c 3705298 x11 optional xfonts-75dpi_4.1.0-1_all.deb
 97a854567eb7ae47a5461df092a5efae 6896120 x11 optional xfonts-75dpi-transcoded_4.1.0-1_all.deb
 94b5c11439d6e411fdc663eaa2a707d7 4935736 x11 optional xfonts-base_4.1.0-1_all.deb
 52a93657e0b310bccc07d1b049361501 1073598 x11 optional xfonts-base-transcoded_4.1.0-1_all.deb
 4edf6c24dfb2477872b09301d2923b12 406198 x11 optional xfonts-cyrillic_4.1.0-1_all.deb
 cc8ae97893b3abf969f1f493c91eb71e 43432 x11 optional xfonts-pex_4.1.0-1_all.deb
 3f2653d6b0dc0f831fa795c6d36b14bc 770172 x11 optional xfonts-scalable_4.1.0-1_all.deb
 b404b3a756c0c091c7c27346e0e04fea 516520 x11 optional xfree86-common_4.1.0-1_all.deb
 8480a413d783a1acc95ae31382ba06f2 4140174 x11 optional xspecs_4.1.0-1_all.deb
 50223937b697eaea7aa0268cc3d96efb 34788 libs optional xlib6g_4.1.0-1_all.deb
 295d6221c5544b09f386d86682fb7ec4 34844 devel optional xlib6g-dev_4.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAjtjSfUACgkQ6kxmHytGonzSkACgo1/h1mMfa55Cq+i7EP6g2jZI
KHcAn1nCEt6wTloyIMGQnOrVHqjj3vpW
=SQNC
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:15:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.